PluginLoader Error #25

Closed
mightymuke opened this Issue Aug 12, 2012 · 10 comments

2 participants

@mightymuke

Hi,

I'm using version 1.0.4.2 with R# 6.1.1000.82, and the following errors are listed in the plugins dialog:

Error PluginLoader: The file “C:\WINNT\Profiles\bristm\Application Data\JetBrains\ReSharper\v6.1\vs10.0\Plugins\AgentMulder\v7.0\Plugins\AgentMulder\AgentMulder.ReSharper.Domain.dll” references product version 7.0 which is incompatible with currently running 6.1

Error PluginLoader: The file “C:\WINNT\Profiles\bristm\Application Data\JetBrains\ReSharper\v6.1\vs10.0\Plugins\AgentMulder\v7.0\Plugins\AgentMulder\AgentMulder.ReSharper.Domain.dll” references product version 7.0.78.129 which newer than currently running 6.1.1000.82

Error PluginLoader: The file “C:\WINNT\Profiles\bristm\Application Data\JetBrains\ReSharper\v6.1\vs10.0\Plugins\AgentMulder\v7.0\Plugins\AgentMulder\AgentMulder.ReSharper.Plugin.dll” references product version 7.0 which is incompatible with currently running 6.1

Error PluginLoader: The file “C:\WINNT\Profiles\bristm\Application Data\JetBrains\ReSharper\v6.1\vs10.0\Plugins\AgentMulder\v7.0\Plugins\AgentMulder\AgentMulder.ReSharper.Plugin.dll” references product version 7.0.78.129 which newer than currently running 6.1.1000.82

Error PluginLoader: The file “C:\WINNT\Profiles\bristm\Application Data\JetBrains\ReSharper\v6.1\vs10.0\Plugins\AgentMulder\v7.0\Plugins\AgentMulder\Containers\AgentMulder.Containers.Autofac.dll” references product version 7.0 which is incompatible with currently running 6.1

Error PluginLoader: The file “C:\WINNT\Profiles\bristm\Application Data\JetBrains\ReSharper\v6.1\vs10.0\Plugins\AgentMulder\v7.0\Plugins\AgentMulder\Containers\AgentMulder.Containers.Autofac.dll” references product version 7.0.78.129 which newer than currently running 6.1.1000.82

Error PluginLoader: The file “C:\WINNT\Profiles\bristm\Application Data\JetBrains\ReSharper\v6.1\vs10.0\Plugins\AgentMulder\v7.0\Plugins\AgentMulder\Containers\AgentMulder.Containers.CastleWindsor.dll” references product version 7.0 which is incompatible with currently running 6.1

Error PluginLoader: The file “C:\WINNT\Profiles\bristm\Application Data\JetBrains\ReSharper\v6.1\vs10.0\Plugins\AgentMulder\v7.0\Plugins\AgentMulder\Containers\AgentMulder.Containers.CastleWindsor.dll” references product version 7.0.78.129 which newer than currently running 6.1.1000.82

I removed the v7.0 folder and everything seems to be working fine.

Cheers.

@hmemcpy
Owner

Hello, thanks for the report!
Definitely strange, but please tell me - what operating system are you using? Because this doesn't look like the default %appdata% path?

@mightymuke

Ummmm, this is a little embarrassing - we're still on XP SP3 :(

The majority of PC's in this company are locked down (mine is an exception as I'm a developer), and %appdata% is set to the Application Data folder in your profile (which for some reason has been configured to be in the windows folder). ie:

C:>echo %appdata%
C:\WINNT\Profiles\bristm\Application Data

@hmemcpy
Owner

Heh, no problem, though I must admit I haven't tested the installer on Windows XP.
I will definitely make sure it installs well on XP as well!

Thanks again for the report!

@mightymuke

I'm happy to help if it'll save you having to mount an instance of XP. I can also try on a similar setup (but windows 7) later today if you think its an issue isolated to XP.

@mightymuke

It installs in a similar location on my Windows 7 machine, but I don't see any errors listed in the dialog. Therefore the issue may be isolated to my environment.

@hmemcpy
Owner

D'oh! It installs the 7.0 binaries inside the 6.1 subdirectory? I better fix that :)

@mightymuke

No, sorry, it installs them in the correct folders on win7. I've only just noticed (because I'm an idiot) the weird folder structure on XP. I was focusing on the %appdata% part, and didn't notice the v7.0 folders were actually in the v6.1 plugin folder.

I'll try reinstalling it tomorrow when I'm in the office to see if it puts them in the same place again.

@hmemcpy
Owner

Heh, it's alright! You're an awesome, brave soul! (still using XP :D)

Find out and let me know. I'll set up an XP image anyway to test it.

@mightymuke

I've completely uninstalled it and reinstalled it again, and the problem hasn't reoccurred. Perhaps it was introduced from an older installer, or perhaps my system just messed up last time I installed it. Anyway, it all looks good. Thanks.

@mightymuke mightymuke closed this Aug 13, 2012
@hmemcpy
Owner
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment